Bug 1253469 - FileNotFoundError: [Errno 2] Nie ma takiego pliku ani katalogu: '/tmp/dnf.pluginconf/langpacks.conf'
FileNotFoundError: [Errno 2] Nie ma takiego pliku ani katalogu: '/tmp/dnf.plu...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:36e8637c23bc2b5d051857ebb0b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 14:30 EDT by Łukasz Posadowski
Modified: 2015-09-08 14:05 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-23.19.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-08 14:05:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (957.21 KB, text/plain)
2015-08-13 14:30 EDT, Łukasz Posadowski
no flags Details
File: anaconda.log (43.08 KB, text/plain)
2015-08-13 14:30 EDT, Łukasz Posadowski
no flags Details
File: dnf.log (13.84 KB, text/plain)
2015-08-13 14:30 EDT, Łukasz Posadowski
no flags Details
File: dnf.rpm.log (147 bytes, text/plain)
2015-08-13 14:30 EDT, Łukasz Posadowski
no flags Details
File: environ (2.52 KB, text/plain)
2015-08-13 14:30 EDT, Łukasz Posadowski
no flags Details
File: journalctl (378.80 KB, text/plain)
2015-08-13 14:30 EDT, Łukasz Posadowski
no flags Details
File: lsblk_output (3.56 KB, text/plain)
2015-08-13 14:30 EDT, Łukasz Posadowski
no flags Details
File: nmcli_dev_list (2.84 KB, text/plain)
2015-08-13 14:30 EDT, Łukasz Posadowski
no flags Details
File: os_info (518 bytes, text/plain)
2015-08-13 14:30 EDT, Łukasz Posadowski
no flags Details
File: storage.log (226.07 KB, text/plain)
2015-08-13 14:30 EDT, Łukasz Posadowski
no flags Details
File: ifcfg.log (8.01 KB, text/plain)
2015-08-13 14:30 EDT, Łukasz Posadowski
no flags Details
File: packaging.log (896 bytes, text/plain)
2015-08-13 14:30 EDT, Łukasz Posadowski
no flags Details
File: program.log (56.82 KB, application/octet-stream)
2015-08-13 14:30 EDT, Łukasz Posadowski
no flags Details

  None (edit)
Description Łukasz Posadowski 2015-08-13 14:30:16 EDT
Description of problem:
Anaconda hangs after creating partitions. It says something about missing file: /tmp/dnf.plugins.conf/langpacks.conf, but I'm not good with python, so I know nothing more.

I'm installing from workstation live alpha 2, from usb stick.

Version-Release number of selected component:
anaconda-core-23.17-1.fc23.x86_64

The following was filed automatically by anaconda:
anaconda 23.17-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/pyanaconda/iutil.py", line 1284, in eintr_retry_call
    return func(*args, **kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/iutil.py", line 1320, in open
    return eintr_retry_call(_open, *args, **kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/simpleconfig.py", line 234, in simple_replace
    with open(fname, "r") as f:
  File "/usr/lib64/python3.4/site-packages/pyanaconda/packaging/dnfpayload.py", line 739, in preInstall
    simple_replace(_DNF_INSTALLER_LANGPACK_CONF, keys)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/install.py", line 233, in doInstall
    payload.preInstall(packages=packages, groups=payload.languageGroups())
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
FileNotFoundError: [Errno 2] Nie ma takiego pliku ani katalogu: '/tmp/dnf.pluginconf/langpacks.conf'

Additional info:
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   initrd=/ubninit root=live:UUID=101F-884A rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 BOOT_IMAGE=/ubnkern 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.0-0.rc5.git0.2.fc23.x86_64
other involved packages: python3-libs-3.4.3-5.fc23.x86_64
product:        Fedora
release:        Fedora release 23 (Twenty Three)
type:           anaconda
version:        23
Comment 1 Łukasz Posadowski 2015-08-13 14:30:24 EDT
Created attachment 1062766 [details]
File: anaconda-tb
Comment 2 Łukasz Posadowski 2015-08-13 14:30:28 EDT
Created attachment 1062767 [details]
File: anaconda.log
Comment 3 Łukasz Posadowski 2015-08-13 14:30:30 EDT
Created attachment 1062768 [details]
File: dnf.log
Comment 4 Łukasz Posadowski 2015-08-13 14:30:33 EDT
Created attachment 1062769 [details]
File: dnf.rpm.log
Comment 5 Łukasz Posadowski 2015-08-13 14:30:35 EDT
Created attachment 1062770 [details]
File: environ
Comment 6 Łukasz Posadowski 2015-08-13 14:30:39 EDT
Created attachment 1062771 [details]
File: journalctl
Comment 7 Łukasz Posadowski 2015-08-13 14:30:40 EDT
Created attachment 1062772 [details]
File: lsblk_output
Comment 8 Łukasz Posadowski 2015-08-13 14:30:41 EDT
Created attachment 1062773 [details]
File: nmcli_dev_list
Comment 9 Łukasz Posadowski 2015-08-13 14:30:43 EDT
Created attachment 1062774 [details]
File: os_info
Comment 10 Łukasz Posadowski 2015-08-13 14:30:45 EDT
Created attachment 1062775 [details]
File: storage.log
Comment 11 Łukasz Posadowski 2015-08-13 14:30:48 EDT
Created attachment 1062776 [details]
File: ifcfg.log
Comment 12 Łukasz Posadowski 2015-08-13 14:30:49 EDT
Created attachment 1062777 [details]
File: packaging.log
Comment 13 Łukasz Posadowski 2015-08-13 14:30:51 EDT
Created attachment 1062778 [details]
File: program.log
Comment 14 Łukasz Posadowski 2015-08-14 06:05:37 EDT
Some progress. I found that I was online while installing and trying to install packages directrly from the mirror. I seems that it's not ready yet. Installing offline from usb stick is working. So it is sort of fixed.

And sorry about some polish language in erorr messages. I know they're useless to most of you. I'll install in english next time.

Note You need to log in before you can comment on or make changes to this bug.